package jp.co.intra_mart.sample.im_workflow;

import java.util.Map;

import jp.co.intra_mart.foundation.workflow.plugin.process.action.ActionProcessParameter;

public interface ActionProcessService {

    // 申請
    String apply(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 申請（一時保存）
    String applyFromTempSave(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 申請(未申請状態案件)
    String applyFromUnapply(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 承認
    void approve(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 承認終了
    void approveEnd(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 否認
    void deny(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 取止め
    void discontinue(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 案件操作
    void matterHandle(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 引戻し
    void pullBack(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 再申請
    String reapply(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 保留
    void reserve(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 保留解除
    void reserveCancel(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 差戻し
    void sendBack(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 差戻し後引戻し
    void sendBackToPullBack(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 一時保存(新規登録)
    void tempSaveCreate(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 一時保存(削除)
    void tempSaveDelete(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

    // 一時保存(更新)
    void tempSaveUpdate(final ActionProcessParameter parameter, final Map<String, Object> userParameter) throws Exception;

}
