package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.foundation.workflow.listener.IWorkflowArcMatterDeleteListener;
import jp.co.intra_mart.framework.extension.spring.context.ApplicationContextProvider;
import jp.co.intra_mart.sample.im_workflow.WorkflowArcMatterDeleteListenerService;

public class WorkflowArcMatterDeleteListener implements IWorkflowArcMatterDeleteListener {

    /**
     * 過去案件削除処理リスナーの実行メソッド
     * <p>
     * @param loginGroupId
     * @param localeId
     * @param systemMatterId
     * @param userDataId
     * @param archiveMonth
     * @throws WorkflowException
     */
    @Override
    public void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId, final String archiveMonth) throws WorkflowException {
        // 過去案件削除処理リスナーのサービスを取得します。
        final WorkflowArcMatterDeleteListenerService service = ApplicationContextProvider.getApplicationContext().getBean(WorkflowArcMatterDeleteListenerService.class);
        service.execute(loginGroupId, localeId, systemMatterId, userDataId, archiveMonth);
    }
}
