package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.foundation.workflow.listener.IWorkflowCplMatterDeleteListener;
import jp.co.intra_mart.framework.extension.spring.context.ApplicationContextProvider;
import jp.co.intra_mart.sample.im_workflow.WorkflowCplMatterDeleteListenerService;

public class WorkflowCplMatterDeleteListener implements IWorkflowCplMatterDeleteListener {

    /**
     * 完了案件削除処理リスナーの実行メソッド
     * <p>
     * @param loginGroupId
     * @param localeId
     * @param systemMatterId
     * @param userDataId
     * @throws WorkflowException
     */
    @Override
    public void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) throws WorkflowException {
        // 完了案件削除処理リスナーのサービスを取得します。
        final WorkflowCplMatterDeleteListenerService service = ApplicationContextProvider.getApplicationContext().getBean(WorkflowCplMatterDeleteListenerService.class);
        service.execute(loginGroupId, localeId, systemMatterId, userDataId);
    }
}
