package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import javax.inject.Inject;

import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.sample.im_workflow.WorkflowMatterArchiveListenerService;
import jp.co.intra_mart.sample.im_workflow.tsfw.domain.model.SampleImwTPurchase;
import jp.co.intra_mart.sample.im_workflow.tsfw.domain.repository.SampleImwTPurchaseRepository;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional(propagation = Propagation.MANDATORY)
public class WorkflowMatterArchiveListenerServiceImpl implements WorkflowMatterArchiveListenerService {

    @Inject
    SampleImwTPurchaseRepository repository;

    @Override
    public void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) throws WorkflowException {
        outputLog(loginGroupId, localeId, systemMatterId, userDataId);

        // アーカイブフラグを更新します。
        final SampleImwTPurchase entity = repository.select(userDataId);
        entity.setArchiveFlag("1");

        repository.update(entity);
    }

    private void outputLog(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) {
        System.out.println("----- WorkflowMatterArchiveListener - execute -----");
        System.out.println("LoginGroupId        : " + loginGroupId);
        System.out.println("LocaleId            : " + localeId);
        System.out.println("systemMatterId      : " + systemMatterId);
        System.out.println("userDataId          : " + userDataId);
        System.out.println("----- WorkflowMatterArchiveListener - execute -----");
    }

}
