<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="imartj2ee" uri="http://www.intra-mart.co.jp/taglib/core/framework" %>
<%@ taglib prefix="imui" uri="http://www.intra-mart.co.jp/taglib/imui" %>
<%@ taglib prefix="imart" uri="http://www.intra-mart.co.jp/taglib/core/standard" %>
<%@ taglib prefix="workflowSmartphone" uri="http://www.intra-mart.co.jp/taglib/imw/workflow-smartphone" %>
<%@ taglib prefix="spring"  uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="f"      uri="http://terasoluna.org/functions" %>

<imui:head>
  <title><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></title>
  <workflowSmartphone:spWorkflowOpenPageCsjs />
  <script type="text/javascript">
  var rules = {
    item_name : {
      required : true
    },
    item_amount : {
      required : true,
      number   : true
    },
    item_price : {
      required : true,
      number   : true
    }
  };
  var messages = {
    item_name : {
      required : '<spring:message code="SAMPLE.IMW.INF.000" />'
    },
    item_amount : {
      required : '<spring:message code="SAMPLE.IMW.INF.001" />',
      number   : '<spring:message code="SAMPLE.IMW.INF.003" />'
    },
    item_price : {
      required : '<spring:message code="SAMPLE.IMW.INF.002" />',
      number   : '<spring:message code="SAMPLE.IMW.INF.004" />'
    }
  };

  $(function(){
    $('#back').click(function(){
      $('#backForm').submit();
      return false;
    });
    $('#openPage0').click(function(){
      if (!imspValidate('#workflowOpenPageForm', rules, messages)) return;
      workflowOpenPage4Sp('10');
      return false;
    });
    $('#openPage1').click(function(){
      workflowOpenPage4Sp('11');
      return false;
    });
    $('#openPage2').click(function(){
      if (!imspValidate('#workflowOpenPageForm', rules, messages)) return;
      workflowOpenPage4Sp('12');
      return false;
    });
    $('#openPage3').click(function(){
      if (!imspValidate('#workflowOpenPageForm', rules, messages)) return;
      workflowOpenPage4Sp('13');
      return false;
    });
  });
  </script>
</imui:head>

<workflowSmartphone:spWorkflowUserContentsAuth imwApplyBaseDate='${f:h(purchaseForm.imwApplyBaseDate)}'
            imwAuthUserCode = '${f:h(purchaseForm.imwAuthUserCode)}'
            imwFlowId='${f:h(purchaseForm.imwFlowId)}'
            imwNodeId ='${f:h(purchaseForm.imwNodeId)}'
            imwPageType = '${f:h(purchaseForm.imwPageType)}'
            imwSystemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'
            imwUserDataId='${f:h(purchaseForm.imwUserDataId)}'/>

<div data-role="page" id="imw-sp-sample-apply" data-theme="a">
  <div data-theme="a" data-role="header">
    <a data-role="button" data-icon="back" id="back"><spring:message code="SAMPLE.IMW.CAP.001" /></a>
    <h1><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></h1>
  </div>

  <div data-role="content">
    <workflowSmartphone:spWorkflowOpenPage name="workflowOpenPageForm"
                                 id="workflowOpenPageForm"
                                 method="POST"
                                 target="_top"
                                 imwUserDataId='${f:h(purchaseForm.imwUserDataId)}'
                                 imwSystemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'
                                 imwAuthUserCode='${f:h(purchaseForm.imwAuthUserCode)}'
                                 imwApplyBaseDate='${f:h(purchaseForm.imwApplyBaseDate)}'
                                 imwNodeId='${f:h(purchaseForm.imwNodeId)}'
                                 imwFlowId='${f:h(purchaseForm.imwFlowId)}'
                                 imwCallOriginalParams='${f:h(purchaseForm.imwCallOriginalParams)}'
                                 imwNextScriptPath='${f:h(purchaseForm.imwCallOriginalPagePath)}'>
      <ul data-role="listview" class="wrap">
        <li data-role="fieldcontain">
          <label for="item_name" class="imui-smart-ui-required"><spring:message code="SAMPLE.IMW.CAP.020" /></label>
          <input type="text" id="item_name" name="item_name" value='${f:h(purchaseForm.item_name)}' data-theme="c" />
        </li>
        <li data-role="fieldcontain">
          <label for="item_amount" class="imui-smart-ui-required"><spring:message code="SAMPLE.IMW.CAP.021" /></label>
          <input type="number" id="item_amount" name="item_amount" value='${f:h(purchaseForm.item_amount)}' data-theme="c" />
        </li>
        <li data-role="fieldcontain">
          <label for="item_price" class="imui-smart-ui-required"><spring:message code="SAMPLE.IMW.CAP.022" /></label>
          <input type="number" id="item_price" name="item_price" value='${f:h(purchaseForm.item_price)}' data-theme="c" />
        </li>
        <li data-role="fieldcontain">
          <label for="item_comment"><spring:message code="SAMPLE.IMW.CAP.024" /></label>
          <textarea id="item_comment" name="item_comment" data-theme="c">${f:h(purchaseForm.item_comment)}</textarea>
        </li>
        <imart:decision case="10" value='${f:h(purchaseForm.imwPageType)}'>
        <li data-role="fieldcontain">
          <fieldset class="ui-grid-a">
            <div class="ui-block-a"><button type="button" id="openPage0" data-theme="b"><spring:message code="SAMPLE.IMW.CAP.003" /></button></div>
            <div class="ui-block-b"><button type="button" id="openPage1" data-theme="b"><spring:message code="SAMPLE.IMW.CAP.002" /></button></div>
          </fieldset>
        </li>
        </imart:decision>
        <imart:decision case="11" value='${f:h(purchaseForm.imwPageType)}'>
        <li data-role="fieldcontain">
          <fieldset class="ui-grid-a">
            <div class="ui-block-a"><button type="button" id="openPage0" data-theme="b"><spring:message code="SAMPLE.IMW.CAP.003" /></button></div>
            <div class="ui-block-b"><button type="button" id="openPage1" data-theme="b"><spring:message code="SAMPLE.IMW.CAP.002" /></button></div>
          </fieldset>
        </li>
        </imart:decision>
        <imart:decision case="12" value='${f:h(purchaseForm.imwPageType)}'>
        <li data-role="fieldcontain">
          <fieldset>
            <div><button type="button" id="openPage2" data-theme="b"><spring:message code="SAMPLE.IMW.CAP.003" /></button></div>
          </fieldset>
        </li>
        </imart:decision>
        <imart:decision case="13" value='${f:h(purchaseForm.imwPageType)}'>
        <li data-role="fieldcontain">
          <fieldset>
            <div><button type="button" id="openPage3" data-theme="b"><spring:message code="SAMPLE.IMW.CAP.004" /></button></div>
          </fieldset>
        </li>
        </imart:decision>
      </ul>
    </workflowSmartphone:spWorkflowOpenPage>
  </div>

  <div data-role="footer" class="imui-smart-footer" data-position="fixed" data-theme="a">
    <div data-role="navbar">
      <ul>
        <li><a href='${homeUrl}' data-icon="custom" class="im-smart-icon-common-32-home-navbar" data-iconpos="top" data-ajax="false"></a></li>
        <li><a href="#"></a></li>
        <li><a href="#"></a></li>
        <li><a href="#"></a></li>
        <li><a href="#"></a></li>
      </ul>
    </div>
  </div>

  <form name="backForm" id="backForm" method="POST" action='${f:h(purchaseForm.imwCallOriginalPagePath)}' data-ajax="false">
      <input type="hidden" name=imwCallOriginalParams value='${f:h(purchaseForm.imwCallOriginalParams)}' />
  </form>
</div>