<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="imui" uri="http://www.intra-mart.co.jp/taglib/imui" %>
<%@ taglib prefix="imart" uri="http://www.intra-mart.co.jp/taglib/core/standard" %>
<%@ taglib prefix="workflow" uri="http://www.intra-mart.co.jp/taglib/imw/workflow" %>
<%@ taglib prefix="spring"  uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="f"      uri="http://terasoluna.org/functions" %>

<imui:head>
<title><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></title>

<workflow:workflowOpenPageCsjs />
<script src="ui/libs/jquery-validation-1.9.0/jquery.validate.js"></script>
<script type="text/javascript">
$(function(){
	$('#back').click(function(){
		$('#backForm').submit();
		return false;
    });
	$('#openPage').click(function(){
		workflowOpenPage('${f:h(purchaseForm.imwPageType)}');
		return false;
    });
});
</script>
</imui:head>

<workflow:workflowUserContentsAuth imwApplyBaseDate='${f:h(purchaseForm.imwApplyBaseDate)}'
            imwAuthUserCode = '${f:h(purchaseForm.imwAuthUserCode)}'
            imwFlowId='${f:h(purchaseForm.imwFlowId)}'
            imwNodeId ='${f:h(purchaseForm.imwNodeId)}'
            imwPageType = '${f:h(purchaseForm.imwPageType)}'
            imwSystemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'
            imwUserDataId='${f:h(purchaseForm.imwUserDataId)}'/>
<workflow:workflowOpenPage name="workflowOpenPageForm"
                            method="POST"
                            target="_top"
                            imwSystemMatterId='${f:h(purchaseForm.imwSystemMatterId)}'
                            imwNodeId='${f:h(purchaseForm.imwNodeId)}'
                            imwCallOriginalParams='${f:h(purchaseForm.imwCallOriginalParams)}'
                            imwNextScriptPath='${f:h(purchaseForm.imwCallOriginalPagePath)}' />

<div class="imui-title-small-window">
	<h1><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></h1>
</div>
<div class="imui-toolbar-wrap">
 	<div class="imui-toolbar-inner">
		<ul class="imui-list-toolbar">
			<li>
				<a href="javascript:void(0);" id="back">
					<span class="im-ui-icon-common-16-back"></span>
				</a>
			</li>
		</ul>
	</div>
</div>

<div class="imui-form-container">
	<header class="imui-chapter-title">
		<h2><spring:message code="SAMPLE.IMW.TSFW.CAP.001" /></h2>
	</header>

	<table class="imui-form">
		<tbody>
			<tr>
				<th><label><spring:message code="SAMPLE.IMW.CAP.020" /></label></th>
				<td><p>${f:h(purchaseForm.item_name)}</p></td>
			</tr>
			<tr>
				<th><label><spring:message code="SAMPLE.IMW.CAP.021" /></label></th>
				<td><p>${f:h(purchaseForm.item_amount)}</p></td>
			</tr>
			<tr>
				<th><label><spring:message code="SAMPLE.IMW.CAP.022" /></label></th>
				<td><p>${f:h(purchaseForm.item_price)}</p></td>
			</tr>
			<tr>
				<th><label><spring:message code="SAMPLE.IMW.CAP.023" /></label></th>
				<td><p>${f:h(purchaseForm.item_total)}</p></td>
			</tr>
			<tr>
				<th><label><spring:message code="SAMPLE.IMW.CAP.024" /></label></th>
				<td>
					<textarea id="notes" name="item_comment" rows="3" cols="40" readonly=true>${f:h(purchaseForm.item_comment)}</textarea>
				</td>
			</tr>
		</tbody>
	</table>

	<div class="imui-operation-parts">
		<input type="button" value='<spring:message code="SAMPLE.IMW.CAP.005" />' id="openPage" name="openPage" class="imui-large-button" escapeXml="true" escapeJs="false" />
	</div>
</div>

<form name="backForm" id="backForm" method="POST" action='${f:h(purchaseForm.imwCallOriginalPagePath)}'>
    <input type="hidden" name=imwCallOriginalParams value='${f:h(purchaseForm.imwCallOriginalParams)}' />
</form>
